/* -------------------------------- 
Ajustes da pagina
*/

body {
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    background: #dadada none repeat scroll 0% 0%;
    padding-top: 20px;
    color: #555;
    text-align: justify;
    font-size: 20px;
    line-height: 28px;
    margin-bottom: 30px;
}

.page-wrapper {
  background: #ffffff;
  padding-top: 0;
  width: 1500px;
  max-width: 95%;
  margin: 0 auto;
}

/*Typography*/

h1, .h1 {
    font-size: 20px;
}
h2, .h2 {
    font-size: 19px;
}
h3, .h3 {
    font-size: 18px;
}
h4, .h4 {
    font-size: 16px;
}
h5, .h5 {
    font-size: 14px;
}
h6, .h6 {
    font-size: 12px;
}

h1, .h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    font-weight: 400;
    line-height: 1;
    color: #317EAC;
}

h1, .h1, h2, .h2, h3, .h3 {
    margin-top: 20px;
    margin-bottom: 10px;
}

h4, .h4, h5, .h5, h6, .h6 {
    margin-top: 10px;
    margin-bottom: 10px;
}

/*texts*/

.text-info1 {
    color: red;
    line-height: inherit;
}

.text-info2  {
    margin: 0px 0px 0px;
}

.text-sub1 {
    font-size: 14px;
    margin: 0px 0px 5px;
    color: #555;
    text-transform:uppercase;   
    font-weight: bold;
}

.text-sub2 {
    font-size: 14px;
    margin: 0px 0px 5px;
    color: #555;
    text-transform:uppercase;
}

.text-info, .text-simple {
    margin: 0px 0px 0px;
}

/*div groups*/

#group-std1 h2 {
    font-size: 14px;
    margin: 0px 0px 5px;
    color: #555;
    text-transform:uppercase;
    font-weight: bold;
}

#group-std2 h2 {
    font-size: 14px;
    margin: 0px 0px 5px;
    color: #555;
    text-transform:uppercase;
}

/*home panels*/

.card-primary > .card-heading {
    border: none;
    background-color:#2FA4E7;
    border-top-right-radius: 0.2em;
    border-top-left-radius: 0.2em;
}

.card-title {
    padding: 5px 15px 5px 15px;
    font-size: 24px;
}

.card-primary .card-heading, 
.card-primary .card-title {
    color: #FFF;
    margin: 0px;
}

/*linha horizontal*/

hr {
    display: block;
    margin-top: 0;
    margin-bottom: 1em;
    margin-left: auto;
    margin-right: auto;
    border-style: none none solid none;
    border-width: 2px;
    color: #317EAC;
}

.txul {
    text-decoration: underline;
    padding-top: 15px;
}

/* logos and flags */

.logoheader{
    position: relative;
}

.mainlogo {
    position: relative;
    display: block;
    max-width: 100%;
    height: auto;
    z-index: 1;
}

.toplogo {
    position: absolute;
    top: 1%;
    right: 1%;
    /* left: 1%; */
    max-width: 8%;
    z-index: 2;
}

.topflag1  {
    position: absolute;
    max-width: 3%;
    z-index: 3;
    bottom: 0;
    right: 3.1%;
}

.topflag2 {
    position: absolute;
    max-width: 3%;
    z-index: 4;
    bottom: 0;
    right: 0;
}

.topflag-on {
    opacity: 0.5;
}

.menuflag1  {
    position: relative;
    width: 30px;
    z-index: 3;
    margin: 5px 3px 10px 15px;
}

.menuflag2 {
    position: relative;
    width: 30px;
    z-index: 4;
    margin: 5px 0px 10px 0px;
}

/* team / falculty */

.imgteam {
    float: left;
    margin-right: 10px;
    border-radius: 8px;
    box-shadow: 3px 3px 1px #CCC;
    border: medium none;
    width: 90px;
    height: 120px;    
}

.imgteam_small {
    float: left;
    margin-right: 10px;
    border-radius: 8px;
    box-shadow: 3px 3px 1px #CCC;
    border: medium none;
    width: 63px;
    height: 84px;    
}

.gpanel {
    border-bottom: 1px dotted #000;
    padding-bottom: 10px;
    margin-top: 15px;
    margin-bottom: 15px;
    margin-left: auto;
    margin-right: auto;
    min-height: 140px;
}

.gpanel_small {
    border-bottom: 1px dotted #000;
    padding-bottom: 10px;
    margin-top: 15px;
    margin-bottom: 15px;
    margin-left: auto;
    margin-right: auto;
    min-height: 100px;
}

.gpanel-course {
    border-bottom: 1px dotted #000;
    padding-bottom: 10px;
    margin-top: 15px;
    margin-bottom: 15px;
    margin-left: auto;
    margin-right: auto;
}

.ordlist > li {
    list-style-type:none;
}

/* panels / publications / news */

.ftimg {
    float: left;
    margin-right: 10px;
    border-radius: 8px;
    box-shadow: 3px 3px 1px #CCC;
    border: medium none;
    width: 62px;
    height: 56px;    
}

.ftpanel_news {
    border-bottom: 1px dotted #000;
    padding-bottom: 10px;
    margin: 15px 15px 15px 15px;
    min-height: 15px;
}

.ftpanel_pub {
    border-bottom: 1px dotted #000;
    padding-bottom: 5px;
    margin: 15px 15px 15px 15px;
    min-height: 75px;
    line-height: 1.2;
}

.ftrow {
    margin-left: -15px;
    margin-right: -15px;
}

#pubpanel-heading .card-heading {
    background-color: #178ACC;
    margin-bottom: 10px;
}

#newspanel-heading .card-heading {
    background-color: #B30000;
}

#news {
    padding: 0 50px 0 50px;
}

/* ajustes da aba principal */

.navbar {
    background-image: linear-gradient(#54B4EB, #2FA4E7 60%, #1D9CE5);
    background-repeat: no-repeat;
    border: none;
    filter: none;
    box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.1);
    padding: 20px 0px 0px 0px;   
}

/*default*/

.navbar-nav > li > a {
    color: #FFF;
}

.navbar-toggler:focus, 
.navbar-toggler:hover {
    background-color: #178ACC;
}

.navbar-toggler {
    padding: 0px 0px 0px 0px;
    margin: 4px 4px 4px 10px;
    background-color: transparent;
    border: none;
    border-radius: .35rem;
    font-size: 1rem;
    background-image: none;
}

.navbar-toggler-icon {
    display: inline-block;
    width: 1.5em;
    height: 1.2em;
    vertical-align: middle;
    margin: 5px 5px 5px 5px;
}

.navbar-toggler .line{
    /*hamburger lines*/
    width: 100%;
    float: left;
    height: 3px;
    background-color: #FFF;
    margin-bottom: 5px;
}

/*custom*/

.navbar-custom { 
    border-radius: 0;
    margin-bottom: 10px;
    font-size: 16px;
    font-weight: bold;
    min-height: 20px;
    border: none;
}

.navbar-custom .navbar-nav > li > a {
    padding: 2px 2px 2px 2px;
    border: none;
    text-align: left;
}

.navbar-custom .navbar-nav > li > a:hover, 
.navbar-custom .navbar-nav > li > a:focus {
    color: #FFF;
    background-color: #178ACC;
}

/*dropdown-menu*/

.dropdown-menu {
    padding: 10px 0 0 0;
    margin:0;
    font-size: 18px;
}

.dropdown > a:after {
    display: none;
}

.dropdown-item {
    line-height: 26px;
    margin:0;
    padding: 0 10px 10px 10px;
    color: #4c4c4c;    
}

.dropdown-menu .divdot {
    height: 0;
    margin: 0 0 0 0;
    border-width: 1px;
    border-style: none none dotted none;
    border-color: #b1b1b1;
    background-color: #ffffff;
}

.dropdown-menu .divsolid {
    height: 0;
    margin: 0 0 0 0;
    border-width: 2px;
    border-style: none none solid none;
    border-color: #2FA4E7;
    background-color: #ffffff;
}

.dropdown-item:hover, .dropdown-item:focus {
    text-decoration: none;
    color: #FFF;
    background-color: #2FA4E7;
}

button:active, .button:active, button:focus, 
.button:focus, button:hover, .button:hover{
    border:none !important;
    outline:none !important;
}

/* footer settigns */

.footer {
    margin-bottom: 20px;
    background: #2F3033 none repeat scroll 0% 0%;
    padding: 30px;
    margin-top: 30px;
}

.cstext, .addresstext1, .addresstext2 {
    color: #FFFFFF; 
    font-size:1.0em;
}

.cstext {
    margin-bottom: 0;
}

/* carousel settigns */

.carousel {
  margin-bottom: 30px;
}

.carousel-caption {
  z-index: 10;
}

.carousel-item {
  background-color: #777;
}

.carousel-control-prev-icon, .carousel-control-next-icon {
    height: 30px;
    width: 30px;
}

.carousel-indicators {
  bottom: -40px;
}

.carousel-indicators li {
    width: 3px !important;
    height: 9px;
    border-radius: 0px !important;
    background-color: whitesmoke;
    border: 1px solid #cccccc; 
    opacity: 1;
    margin: 3px;
}

.carousel-indicators .active {
    background-color: #cccccc;
    border: 1px solid #cccccc;
    opacity: 1;
    margin: 3px;
}

.carousel-control-next:focus, 
.carousel-control-next:hover, 
.carousel-control-prev:focus, 
.carousel-control-prev:hover {
    color: red;
    text-decoration: none;
    outline: 0;
    opacity: .9;
}

.carousel-control-prev {
    color: #007bff;
    text-decoration: none;
    background-image: linear-gradient(to right,rgba(0,0,0,.5) 0,rgba(0,0,0,.0001) 100%);
}

.carousel-control-next {
    color: #007bff;
    text-decoration: none;
    background-image: linear-gradient(to right,rgba(0,0,0,.0001) 0,rgba(0,0,0,.5) 100%);
}

/* grade curricular */

.grade {
    position: relative;
    display: block;
    max-width: 100%;
    height: auto;
}

.fig85 {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 85%;
}

/* maps */

.map_container {
    position: relative;
    width:100% !important;
    margin-top: 10px;
    overflow: hidden;
}

/*NEWS API*/

.date {
    margin-top: 30px;
    margin-bottom: 20px;
}

.date span {
    background-color: #cccccc;
    color: #ffffff;    
    padding: 1px 1px;
    border-bottom: 1px solid #dddddd;
    line-height: 1.0em;
    font-size: 80%;
}

.title {
    margin-top: 0px;
    margin-bottom: 10px;
    font-size: 14px;
    color: #000;
    text-transform:uppercase;
    font-weight: bold;    
}

#apis1 .content {
    text-align: left;
    margin-bottom: 0px;
    margin-top: 10px;
    padding-bottom: 8px;
    border-bottom: 1px dotted #666666;   
}

#apis2 .content {
    text-align: left;
    margin-bottom: 30px;
    margin-top: 10px;
    padding-bottom: 8px;
    border-bottom: 1px dotted #666666;   
}

#apis1 h1 h2 {
    font-size: 14px;
    color: #000;
    text-transform:uppercase;
    font-weight: bold;
}

#apis1 h3 h4 {
    font-size: 16px;
    color: #000;
}

#apis2 h1 h2 {
    font-size: 14px;
    color: #000;
    text-transform:uppercase;
    font-weight: bold;
}

#apis2 h3 h4 {
    font-size: 16px;
    color: #000;
}

.postid {
    display: none;
}

/* references */

form#quicksearch { 
    width: auto; 
    border-color: gray; 
    padding: 0.7em 0.5em; 
    display:none; 
    position:relative; 
    padding-bottom: 0;
}

span#searchstat {
    padding-left: 1px;
}

form#quicksearch input { 
    line-height: 15px; 
    font-size: 12px;
}

#updatepub { 
    border: 1px grey; 
    padding: 0 1px; 
    float:right; 
    line-height: 1.6em; 
    text-align: right; 
}

.invalidsearch { 
    background-color: red; 
}

table { 
    display: block;
    overflow: auto;
    border: 1px gray none; 
    width: 100%; 
    empty-cells: show; 
    border-spacing: 0em 0.1em; 
    margin: 1em 0em;
}

th, td { 
    border: none; 
    padding: 0.5em; 
    vertical-align: top; 
    text-align: left; 
}

td a { 
    color: navy; 
    text-decoration: none; 
}

td a:hover { 
    text-decoration: underline; 
}
    
tr.noshow { 
    display: none;
}

tr.abstract td, tr.review td, tr.bibtex td { 
    background-color: #EFEFEF; 
    text-align: left; 
    border-bottom: none; 
}

tr.nextshow td { 
    border-bottom-style: none; 
}

tr.bibtex pre { 
    width: 100%; 
    overflow: auto; 
    white-space: pre-wrap;
}

p.infolinks { 
    margin: 0.3em 0em 0em 0em; 
    padding: 0px; 
}

@media print {
	p.infolinks, #qs_settings, #quicksearch, t.bibtex { 
            display: none !important; 
        }
	tr { 
            page-break-inside: avoid; 
        }
}

/* videos */

.bdvideos {
    position:relative;
    height:0;
    padding-bottom:56.25%; 
    border: 3px dotted black;
    margin: 0px;
}


/* responsivo */


/* responsivo: p/ desktops */
@media (min-width: 768px) {  
      
    /*add main menu hover*/
    .dropdown:hover > .dropdown-menu {
        display: block;
    }
    
    /*add transversal lines*/
    .navbar-custom ul li {
        border-right: 1px dotted #ffffff;
    }
    .navbar-custom ul li:last-of-type {
        border-right: none;
    }
    .navbar-custom ul ul li {
        border-right: none;
    }    
    
    /*avoid replicated flags*/
    .menuflag1, .menuflag2{
        display: none;
    }
    
}

/* responsivo: p/ mobile */
@media (max-width: 767px){
    
    .dropdown-item {
        color: #dadada;
        padding-left: 25px;
    }

    .dropdown-menu {
        background-color: #1D9CE5;
        border-color: #1D9CE5;
        margin: 0; 
    }
    
    .navbar-custom .navbar-nav > li > a {
        padding-left: 15px;
    }
    
    .dropdown-menu .divdot {
        display: none;
    }
    
    .navbar-custom { 
        font-size: 13px;
    }
    
    .addresstext2 {
        font-size:0.9em;
    }
    
    .csbioinf{
        display:none;
    }
    
    .topflag1, .topflag2{
        display: none;
    }
      
    #news {
        padding: 0 25px 0 25px;
    }    
    
    .bdvideos {
       margin-top: 25px;
    }   
    
.fig85 {
  width: 100%;
}    
    
}

/* responsivo: p/ sf */
@media (max-width: 576px){

    .scicons {
        position: relative;
        max-width: 35px;
        height: auto;
    }   
    
    .footer {
        text-align: center;
    }
    
    .cstext, .csbioinf, .ftimg, #pubpanel {
        display:none;
    } 
    
    .addresstext1 {
        margin-top: -20px;
        margin-bottom: 20px;
    }
    
    .addresstext2 {
        font-size:0.6em;
    }
    
    .ftpanel_pub {
        min-height: 15px;
    }
    
    /* customiza jabref */
    
    div#showsettings,div#updatepub  {
        display: none;
    }
    
    #settings ul {
        display: none;
    }
    
    .bibtex, tr.bibtex td {
        display: none;
    }
    
    span#bbtx {
        display: none;
    }
    
    .abstract, tr.abstract td {
        display: none;
    }
    
    span#abstr {
        display: none;
    }
    
}

/* Set fluid container for desktop */
@media (min-width: 768px) {
    .col-md-4 {
        width: 33.33333333%;
        float: left;
    }
    .col-md-6 {
        width: 50%;
        float: left;
    }   
}
